Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class TextAlignmentPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.TextAlignmentPropertySection

All Implemented Interfaces:
  ISection

    public class TextAlignmentPropertySection

extends AbstractNotationPropertiesSection

Property section to represent text alignment properties for a shape.

Field Summary
`protected static java.lang.String` `ALIGN_CENTER`
`protected static java.lang.String` `ALIGN_LEFT`
`protected static java.lang.String` `ALIGN_RIGHT`
`protected Button` `alignCenterButton`
`protected Button` `alignLeftButton`
`protected Button` `alignRightButton`
`protected static java.lang.String` `TEXT_ALIGNMENT`
`protected Group` `textAlignmentGroup`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`TextAlignmentPropertySection()`

Method Summary
`protected void` `alignCenter()` Center align the text for the selected editparts.
`protected void` `alignLeft()` Left align the text for the selected editparts.
`protected void` `alignRight()` Right align the text for the selected editparts.
`protected void` `createTextAlignmentGroup(Composite parent)` Create the text alignment group.
`protected boolean` `digIntoGroups()` Override to return true to have this property section work on the shapes in a `GroupEditPart` as if the shapes were multi-selected.
`protected void` `initializeControls(Composite parent)` Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`adapt, createControls, getAllNameLabels, getLabelProvider, getSingleInput, getStandardLabelWidth, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, dispose, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, setInput, update, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIGN_LEFT

    protected static final java.lang.String ALIGN_LEFT

### ALIGN_CENTER

    protected static final java.lang.String ALIGN_CENTER

### ALIGN_RIGHT

    protected static final java.lang.String ALIGN_RIGHT

### TEXT_ALIGNMENT

    protected static final java.lang.String TEXT_ALIGNMENT

### alignLeftButton

    protected Button alignLeftButton

### alignRightButton

    protected Button alignRightButton

### alignCenterButton

    protected Button alignCenterButton

### textAlignmentGroup

    protected Group textAlignmentGroup

Constructor Detail

### TextAlignmentPropertySection

    public TextAlignmentPropertySection()

Method Detail

### alignCenter

    protected void alignCenter()

  Center align the text for the selected editparts.

### alignLeft

    protected void alignLeft()

  Left align the text for the selected editparts.

### alignRight

    protected void alignRight()

  Right align the text for the selected editparts.

### createTextAlignmentGroup

    protected void createTextAlignmentGroup(Composite parent)

  Create the text alignment group.

  Parameters:
    `parent` - - parent composite

### digIntoGroups

    protected boolean digIntoGroups()

  Description copied from class: `AbstractModelerPropertySection`
  Override to return true to have this property section work on the shapes in a `GroupEditPart` as if the shapes were multi-selected.

  Overrides:
    `digIntoGroups` in class `AbstractModelerPropertySection`
  Returns:
    true if this property section is to dig into the shapes of groups

### initializeControls

    protected void initializeControls(Composite parent)

  Description copied from class: `AbstractNotationPropertiesSection`
  Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order

  Overrides:
    `initializeControls` in class `AbstractNotationPropertiesSection`
  Parameters:
    `parent` - - parent composite

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ISection`
  Overrides:
    `refresh` in class `AbstractPropertySection`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.